Outdated install docs and broken link

Bug #1174525 reported by Anne Gentle on 2013-04-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
High
John Griffith

Bug Description

Reported via email from Jay Payne.

These can be fixed in the cinder repo at doc/source/devref/development.environment.rst and doc/source/_theme/layout.html
----
I was working through some dev documentation and came across this page. http://docs.openstack.org/developer/cinder/devref/development.environment.html

It states:

This section is tested for Cinder on Ubuntu (10.10-64)
Install the prerequisite packages.
On Ubuntu:

sudo apt-get install python-dev libssl-dev python-pip git-core

I've tested it with Ubuntu(12.04 LTS) and the prerequisite packages should be

sudo apt-get install python-virtualenv libxml2-dev libxslt-dev libmysqlclient-dev libpq-dev

Everything else seems to work the same way.

Also, The link in the right column at the bottom seems to be broken "Cinder 2011.2 docs

Psst... hey. You're reading the latest content, but it might be out of sync with code. You can read Cinder 2011.2 docs or all OpenStack docs too.

Changed in cinder:
importance: Undecided → High
status: New → Confirmed
John Griffith (john-griffith) wrote :
Changed in cinder:
status: Confirmed → Fix Committed
milestone: none → havana-2
Mike Perez (thingee) on 2013-06-26
Changed in cinder:
assignee: nobody → John Griffith (john-griffith)
Thierry Carrez (ttx) on 2013-07-17
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers